<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:42:26 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.nio.protocol (HttpComponents Core 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../../org/apache/http/nio/protocol/package-summary.html" target="classFrame">org.apache.http.nio.protocol</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="EventListener.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>EventListener</I></A>
<BR>
<A HREF="HttpAsyncExchange.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>HttpAsyncExchange</I></A>
<BR>
<A HREF="HttpAsyncExpectationVerifier.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>HttpAsyncExpectationVerifier</I></A>
<BR>
<A HREF="HttpAsyncRequestConsumer.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>HttpAsyncRequestConsumer</I></A>
<BR>
<A HREF="HttpAsyncRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>HttpAsyncRequestExecutionHandler</I></A>
<BR>
<A HREF="HttpAsyncRequestHandler.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>HttpAsyncRequestHandler</I></A>
<BR>
<A HREF="HttpAsyncRequestHandlerMapper.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>HttpAsyncRequestHandlerMapper</I></A>
<BR>
<A HREF="HttpAsyncRequestHandlerResolver.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>HttpAsyncRequestHandlerResolver</I></A>
<BR>
<A HREF="HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>HttpAsyncRequestProducer</I></A>
<BR>
<A HREF="HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>HttpAsyncResponseConsumer</I></A>
<BR>
<A HREF="HttpAsyncResponseProducer.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>HttpAsyncResponseProducer</I></A>
<BR>
<A HREF="HttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>HttpRequestExecutionHandler</I></A>
<BR>
<A HREF="NHttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>NHttpRequestExecutionHandler</I></A>
<BR>
<A HREF="NHttpRequestHandler.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>NHttpRequestHandler</I></A>
<BR>
<A HREF="NHttpRequestHandlerResolver.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>NHttpRequestHandlerResolver</I></A>
<BR>
<A HREF="NHttpResponseTrigger.html" title="interface in org.apache.http.nio.protocol" target="classFrame"><I>NHttpResponseTrigger</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="AbstractAsyncRequestConsumer.html" title="class in org.apache.http.nio.protocol" target="classFrame">AbstractAsyncRequestConsumer</A>
<BR>
<A HREF="AbstractAsyncResponseConsumer.html" title="class in org.apache.http.nio.protocol" target="classFrame">AbstractAsyncResponseConsumer</A>
<BR>
<A HREF="AsyncNHttpClientHandler.html" title="class in org.apache.http.nio.protocol" target="classFrame">AsyncNHttpClientHandler</A>
<BR>
<A HREF="AsyncNHttpClientHandler.ClientConnState.html" title="class in org.apache.http.nio.protocol" target="classFrame">AsyncNHttpClientHandler.ClientConnState</A>
<BR>
<A HREF="AsyncNHttpServiceHandler.html" title="class in org.apache.http.nio.protocol" target="classFrame">AsyncNHttpServiceHandler</A>
<BR>
<A HREF="AsyncNHttpServiceHandler.ServerConnState.html" title="class in org.apache.http.nio.protocol" target="classFrame">AsyncNHttpServiceHandler.ServerConnState</A>
<BR>
<A HREF="BasicAsyncRequestConsumer.html" title="class in org.apache.http.nio.protocol" target="classFrame">BasicAsyncRequestConsumer</A>
<BR>
<A HREF="BasicAsyncRequestExecutionHandler.html" title="class in org.apache.http.nio.protocol" target="classFrame">BasicAsyncRequestExecutionHandler</A>
<BR>
<A HREF="BasicAsyncRequestHandler.html" title="class in org.apache.http.nio.protocol" target="classFrame">BasicAsyncRequestHandler</A>
<BR>
<A HREF="BasicAsyncRequestProducer.html" title="class in org.apache.http.nio.protocol" target="classFrame">BasicAsyncRequestProducer</A>
<BR>
<A HREF="BasicAsyncResponseConsumer.html" title="class in org.apache.http.nio.protocol" target="classFrame">BasicAsyncResponseConsumer</A>
<BR>
<A HREF="BasicAsyncResponseProducer.html" title="class in org.apache.http.nio.protocol" target="classFrame">BasicAsyncResponseProducer</A>
<BR>
<A HREF="BufferingHttpClientHandler.html" title="class in org.apache.http.nio.protocol" target="classFrame">BufferingHttpClientHandler</A>
<BR>
<A HREF="BufferingHttpServiceHandler.html" title="class in org.apache.http.nio.protocol" target="classFrame">BufferingHttpServiceHandler</A>
<BR>
<A HREF="HttpAsyncRequester.html" title="class in org.apache.http.nio.protocol" target="classFrame">HttpAsyncRequester</A>
<BR>
<A HREF="HttpAsyncRequestExecutor.html" title="class in org.apache.http.nio.protocol" target="classFrame">HttpAsyncRequestExecutor</A>
<BR>
<A HREF="HttpAsyncRequestHandlerRegistry.html" title="class in org.apache.http.nio.protocol" target="classFrame">HttpAsyncRequestHandlerRegistry</A>
<BR>
<A HREF="HttpAsyncService.html" title="class in org.apache.http.nio.protocol" target="classFrame">HttpAsyncService</A>
<BR>
<A HREF="NHttpHandlerBase.html" title="class in org.apache.http.nio.protocol" target="classFrame">NHttpHandlerBase</A>
<BR>
<A HREF="NHttpRequestHandlerRegistry.html" title="class in org.apache.http.nio.protocol" target="classFrame">NHttpRequestHandlerRegistry</A>
<BR>
<A HREF="SimpleNHttpRequestHandler.html" title="class in org.apache.http.nio.protocol" target="classFrame">SimpleNHttpRequestHandler</A>
<BR>
<A HREF="ThrottlingHttpClientHandler.html" title="class in org.apache.http.nio.protocol" target="classFrame">ThrottlingHttpClientHandler</A>
<BR>
<A HREF="ThrottlingHttpServiceHandler.html" title="class in org.apache.http.nio.protocol" target="classFrame">ThrottlingHttpServiceHandler</A>
<BR>
<A HREF="UriHttpAsyncRequestHandlerMapper.html" title="class in org.apache.http.nio.protocol" target="classFrame">UriHttpAsyncRequestHandlerMapper</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
